Name:           perl-Data-FormValidator
Version:        4.70
Release:        1%{?dist}
Summary:        Validates user input (usually from an HTML form) based on input profile
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-FormValidator/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKSTOS/Data-FormValidator-%{version}.tar.gz
# see https://bugzilla.redhat.com/show_bug.cgi?id=712694
# and https://rt.cpan.org/Public/Bug/Display.html?id=61792
Patch0:         cve-2011-2201.patch
BuildArch:      noarch
BuildRequires:  perl(CGI) >= 3.48
BuildRequires:  perl(Date::Calc) >= 5
BuildRequires:  perl(Email::Valid)
BuildRequires:  perl(File::MMagic) >= 1.17
BuildRequires:  perl(Image::Size)
BuildRequires:  perl(MIME::Types) >= 1.005
BuildRequires:  perl(Module::Build) >= 0.3800
BuildRequires:  perl(Perl6::Junction) >= 1.1
BuildRequires:  perl(Regexp::Common)
BuildRequires:  perl(Template)
BuildRequires:  perl(Template::Stash)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# not detected by rpm
Requires:       perl(Date::Calc) >= 5
Requires:       perl(Email::Valid)
Requires:       perl(File::MMagic) >= 1.17
Requires:       perl(Image::Size)
Requires:       perl(Regexp::Common)

%{?perl_default_filter}

%description
Data::FormValidator's main aim is to make input validation expressible in a
simple format.

%prep
%setup -q -n Data-FormValidator-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README RELEASE_NOTES
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Nov 20 2011 Iain Arnell <iarnell@gmail.com> 4.70-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Sun Aug 28 2011 Iain Arnell <iarnell@gmail.com> 4.66-6
- add patch to resolve CVE-2011-2201

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 4.66-5
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.66-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 4.66-3
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 4.66-2
- Mass rebuild with perl-5.12.0

* Thu Feb 25 2010 Iain Arnell <iarnell@gmail.com> 4.66-1
- update to latest upstream version

* Mon Jan 04 2010 Iain Arnell <iarnell@gmail.com> 4.65-1
- update to latest upstream version
- BR perl(Template), perl(Template::Stash), perl(Test::Pod) for tests

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 4.63-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Iain Arnell <iarnell@gmail.com> 4.63-1
- Specfile autogenerated by cpanspec 1.77.
- remove unnecessary requires
